Bug 202005 - Patch to fix a warning from sparse in popt.h
Patch to fix a warning from sparse in popt.h
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-10 06:34 EDT by Kjartan Maraas
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-04 09:31:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the patch (438 bytes, patch)
2006-08-10 06:34 EDT, Kjartan Maraas
no flags Details | Diff

  None (edit)
Description Kjartan Maraas 2006-08-10 06:34:24 EDT
Description of problem:
This patch fixes this type of warning for users of POPT_TABLEEND:

main.c:53:2: warning: Using plain integer as NULL pointer


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kjartan Maraas 2006-08-10 06:34:24 EDT
Created attachment 133928 [details]
the patch
Comment 2 Jeff Johnson 2006-08-16 06:54:19 EDT
Fixed in cvs, will be in popt-1.10.7 when released. Thanks for the patch.

UPSTREAM
Comment 3 Panu Matilainen 2007-06-27 09:30:32 EDT
Fixed in rpm.org tree now as well, will be in 4.4.2.1 and rawhide within a week
or two.
Comment 4 Panu Matilainen 2007-07-04 09:31:17 EDT
Next rawhide push will have it. Oh and thanks for the patch.

Note You need to log in before you can comment on or make changes to this bug.